<html>

<head>
<title>Class InputControl</title>
</head>

<body>

<p><b><font size="5">Class</font><font size="5"> InputControl</font></b></p>
<p><b><font size="4">Properties</font></b></p>
<table border="1" width="100%" cellpadding="2">
  <tr>
    <td width="15%"><b>Name</b></td>
    <td width="14%"><b>Default</b></td>
    <td width="71%"><b>Description</b></td>
  </tr>
  <tr>
    <td width="15%"><font color="#800000"><b>$name</b></font></td>
    <td width="14%">&nbsp;</td>
    <td width="71%">name of the control</td>
  </tr>
  <tr>
    <td width="15%"><font color="#800000"><b>$property</b></font></td>
    <td width="14%">&nbsp;</td>
    <td width="71%">setting array</td>
  </tr>
  <tr>
    <td width="15%"><font color="#800000"><b>$fname</b></font></td>
    <td width="14%">&nbsp;</td>
    <td width="71%">name of the form that owns control (if any)</td>
  </tr>
</table>
<p><b><font size="4">Notes</font></b></p>
<p>Setting array has various options depending on control type which is defined 
in setting array as well. For further details, please view <i><b>
class.formgen.php</b></i>.</p>
<p><b><font color="#800000">$property</font>[<font color="#008000">&quot;type&quot;</font>]</b></p>
<table border="1" width="100%" cellpadding="2">
  <tr>
    <td width="15%"><b>Value</b></td>
    <td width="71%"><b>Description</b></td>
  </tr>
  <tr>
    <td width="15%" valign="top"><b><font color="#008000">hidden</font></b></td>
    <td width="71%">hidden field</td>
  </tr>
  <tr>
    <td width="15%" valign="top"><b><font color="#008000">str</font></b></td>
    <td width="71%">string edit</td>
  </tr>
  <tr>
    <td width="15%" valign="top"><font color="#008000"><b>str_dlg</b></font></td>
    <td width="71%">string edit with selection button for calling modal dialog 
    box</td>
  </tr>
  <tr>
    <td width="15%" valign="top"><font color="#008000"><b>check</b></font></td>
    <td width="71%">checkbox</td>
  </tr>
  <tr>
    <td width="15%" valign="top"><font color="#008000"><b>html</b></font></td>
    <td width="71%">textbox</td>
  </tr>
  <tr>
    <td width="15%" valign="top"><font color="#008000"><b>list</b></font></td>
    <td width="71%">combo box</td>
  </tr>
  <tr>
    <td width="15%" valign="top"><font color="#008000"><b>action_list</b></font></td>
    <td width="71%">combo box with OnChange event handler</td>
  </tr>
  <tr>
    <td width="15%" valign="top"><font color="#008000"><b>file</b></font></td>
    <td width="71%">file input</td>
  </tr>
  <tr>
    <td width="15%" valign="top"><font color="#008000"><b>text</b></font></td>
    <td width="71%">formatted text in HTML format</td>
  </tr>
</table>
<br>
<hr>
<p><b><font size="5">Class FormGen</font></b></p>
<p><b><font size="4">Properties</font></b></p>
<table border="1" width="100%" cellpadding="2">
  <tr>
    <td width="15%"><b>Name</b></td>
    <td width="14%"><b>Default</b></td>
    <td width="71%"><b>Description</b></td>
  </tr>
  <tr>
    <td width="15%"><font color="#800000"><b>$title</b></font></td>
    <td width="14%">&nbsp;</td>
    <td width="71%">form title</td>
  </tr>
  <tr>
    <td width="15%"><font color="#800000"><b>$properties</b></font></td>
    <td width="14%">&nbsp;</td>
    <td width="71%">array of property setting arrays</td>
  </tr>
  <tr>
    <td width="15%"><font color="#800000"><b>$action</b></font></td>
    <td width="14%">&nbsp;</td>
    <td width="71%">action script url</td>
  </tr>
  <tr>
    <td width="15%"><font color="#800000"><b>$cancel</b></font></td>
    <td width="14%">&nbsp;</td>
    <td width="71%">cancel script; can be set to &quot;close&quot; for closing window</td>
  </tr>
  <tr>
    <td width="15%"><font color="#800000"><b>$buttons</b></font></td>
    <td width="14%">&nbsp;</td>
    <td width="71%">whether form should show its own buttons; default is true</td>
  </tr>
  <tr>
    <td width="15%"><font color="#800000"><b>$name</b></font></td>
    <td width="14%">&nbsp;</td>
    <td width="71%">form name; if not set, &quot;Form&quot; is used</td>
  </tr>
</table>
<p>&nbsp;</p>

</body>

</html>